<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_get_first_site_table_entry" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_getFirstSiteTableEntry - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: bool krui_getFirstSiteTableEntry(char**, char**);
/*****************************************************************************
  FUNCTION : ann_get_first_site_table_entry
  PURPOSE  :
  NOTES    :
  RETURNS  : 
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_get_first_site_table_entry</refname>

    <refpurpose>Returns the first site name/function pair in the site table.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>[is_available, site_name, site_func] = ann_get_first_site_table_entry(network);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>

  <refsection>
    <title>Output parameters</title>

    <variablelist>
      <varlistentry>
        <term>is_available</term>

        <listitem>
          <para>1 if available, otherwise 0.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_name</term>

        <listitem>
          <para>Site name (string)</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>site_func</term>

        <listitem>
          <para>Site function (string)</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
